package com.ruoyi.web.modules.trading.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 承销商 biz_distributor
 */
public class BizDistributor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    private String distributorCode;

    @NotBlank(message = "承销商名称不能为空")
    @Size(min = 1, max = 20, message = "承销商名称长度为1到20个字符")
    private String distributorName;

    @NotNull(message = "承销商类型不能为空")
    private Integer distributorType;

    private String distributorTypeName;

    @NotBlank(message = "身份识别号不能为空")
    private String identityNo;

    @NotBlank(message = "联系方式不能为空")
    private String contactPhone;

    @Size(max = 50, message = "经营地点不能超过50个字符")
    private String businessLocation;

    @NotNull(message = "销售去向不能为空")
    private Integer salesDestination;

    private String salesDestinationName;

    private Integer accountAssigned;

    private Long sysUserId;

    private String assignedLoginName;

    private String delFlag;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getDistributorCode()
    {
        return distributorCode;
    }

    public void setDistributorCode(String distributorCode)
    {
        this.distributorCode = distributorCode;
    }

    public String getDistributorName()
    {
        return distributorName;
    }

    public void setDistributorName(String distributorName)
    {
        this.distributorName = distributorName;
    }

    public Integer getDistributorType()
    {
        return distributorType;
    }

    public void setDistributorType(Integer distributorType)
    {
        this.distributorType = distributorType;
    }

    public String getDistributorTypeName()
    {
        return distributorTypeName;
    }

    public void setDistributorTypeName(String distributorTypeName)
    {
        this.distributorTypeName = distributorTypeName;
    }

    public String getIdentityNo()
    {
        return identityNo;
    }

    public void setIdentityNo(String identityNo)
    {
        this.identityNo = identityNo;
    }

    public String getContactPhone()
    {
        return contactPhone;
    }

    public void setContactPhone(String contactPhone)
    {
        this.contactPhone = contactPhone;
    }

    public String getBusinessLocation()
    {
        return businessLocation;
    }

    public void setBusinessLocation(String businessLocation)
    {
        this.businessLocation = businessLocation;
    }

    public Integer getSalesDestination()
    {
        return salesDestination;
    }

    public void setSalesDestination(Integer salesDestination)
    {
        this.salesDestination = salesDestination;
    }

    public String getSalesDestinationName()
    {
        return salesDestinationName;
    }

    public void setSalesDestinationName(String salesDestinationName)
    {
        this.salesDestinationName = salesDestinationName;
    }

    public Integer getAccountAssigned()
    {
        return accountAssigned;
    }

    public void setAccountAssigned(Integer accountAssigned)
    {
        this.accountAssigned = accountAssigned;
    }

    public Long getSysUserId()
    {
        return sysUserId;
    }

    public void setSysUserId(Long sysUserId)
    {
        this.sysUserId = sysUserId;
    }

    public String getAssignedLoginName()
    {
        return assignedLoginName;
    }

    public void setAssignedLoginName(String assignedLoginName)
    {
        this.assignedLoginName = assignedLoginName;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }
}
